Index: plugins/pages/_admin.php
===================================================================
--- plugins/pages/_admin.php	(revision 3265)
+++ plugins/pages/_admin.php	(revision 3709)
@@ -10,86 +10,85 @@
 #
 # -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_CONTEXT_ADMIN')) { return; }
+if (!defined('DC_CONTEXT_ADMIN')) {return;}
 
-$core->addBehavior('adminColumnsLists',array('pagesColumnsLists','adminColumnsLists'));
-$core->addBehavior('adminDashboardFavorites',array('pagesDashboard','pagesDashboardFavs'));
-$core->addBehavior('adminUsersActionsHeaders','pages_users_actions_headers');
+$core->addBehavior('adminColumnsLists', array('pagesColumnsLists', 'adminColumnsLists'));
+$core->addBehavior('adminDashboardFavorites', array('pagesDashboard', 'pagesDashboardFavs'));
+$core->addBehavior('adminUsersActionsHeaders', 'pages_users_actions_headers');
 
 class pagesColumnsLists
 {
-	public static function adminColumnsLists($core,$cols)
-	{
-		// Set optional columns in pages lists
-		$cols['pages'] = array(__('Pages'), array(
-			'date' => array(true,__('Date')),
-			'author' => array(true,__('Author')),
-			'comments' => array(true,__('Comments')),
-			'trackbacks' => array(true,__('Trackbacks'))
-		));
-	}
+    public static function adminColumnsLists($core, $cols)
+    {
+        // Set optional columns in pages lists
+        $cols['pages'] = array(__('Pages'), array(
+            'date'       => array(true, __('Date')),
+            'author'     => array(true, __('Author')),
+            'comments'   => array(true, __('Comments')),
+            'trackbacks' => array(true, __('Trackbacks'))
+        ));
+    }
 }
 
 class pagesDashboard
 {
-	public static function pagesDashboardFavs($core,$favs)
-	{
-		$favs->register('pages', array(
-			'title' => __('Pages'),
-			'url' => $core->adminurl->get('admin.plugin.pages'),
-			'small-icon' => dcPage::getPF('pages/icon.png'),
-			'large-icon' => dcPage::getPF('pages/icon-big.png'),
-			'permissions' => 'contentadmin,pages',
-			'dashboard_cb' => array('pagesDashboard','pagesDashboardCB'),
-			'active_cb' => array('pagesDashboard','pagesActiveCB')
-		));
-		$favs->register('newpage', array(
-			'title' => __('New page'),
-			'url' => $core->adminurl->get('admin.plugin.pages',array('act' => 'page')),
-			'small-icon' => dcPage::getPF('pages/icon-np.png'),
-			'large-icon' => dcPage::getPF( 'pages/icon-np-big.png'),
-			'permissions' => 'contentadmin,pages',
-			'active_cb' => array('pagesDashboard','newPageActiveCB')
-		));
-	}
+    public static function pagesDashboardFavs($core, $favs)
+    {
+        $favs->register('pages', array(
+            'title'        => __('Pages'),
+            'url'          => $core->adminurl->get('admin.plugin.pages'),
+            'small-icon'   => dcPage::getPF('pages/icon.png'),
+            'large-icon'   => dcPage::getPF('pages/icon-big.png'),
+            'permissions'  => 'contentadmin,pages',
+            'dashboard_cb' => array('pagesDashboard', 'pagesDashboardCB'),
+            'active_cb'    => array('pagesDashboard', 'pagesActiveCB')
+        ));
+        $favs->register('newpage', array(
+            'title'       => __('New page'),
+            'url'         => $core->adminurl->get('admin.plugin.pages', array('act' => 'page')),
+            'small-icon'  => dcPage::getPF('pages/icon-np.png'),
+            'large-icon'  => dcPage::getPF('pages/icon-np-big.png'),
+            'permissions' => 'contentadmin,pages',
+            'active_cb'   => array('pagesDashboard', 'newPageActiveCB')
+        ));
+    }
 
-	public static function pagesDashboardCB($core,$v)
-	{
-		$params = new ArrayObject();
-		$params['post_type'] = 'page';
-		$page_count = $core->blog->getPosts($params,true)->f(0);
-		if ($page_count > 0) {
-			$str_pages = ($page_count > 1) ? __('%d pages') : __('%d page');
-			$v['title'] = sprintf($str_pages,$page_count);
-		}
-	}
+    public static function pagesDashboardCB($core, $v)
+    {
+        $params              = new ArrayObject();
+        $params['post_type'] = 'page';
+        $page_count          = $core->blog->getPosts($params, true)->f(0);
+        if ($page_count > 0) {
+            $str_pages  = ($page_count > 1) ? __('%d pages') : __('%d page');
+            $v['title'] = sprintf($str_pages, $page_count);
+        }
+    }
 
-	public static function pagesActiveCB($request,$params)
-	{
-		return ($request == "plugin.php") &&
-			isset($params['p']) && $params['p'] == 'pages'
-			&& !(isset($params['act']) && $params['act']=='page');
-	}
+    public static function pagesActiveCB($request, $params)
+    {
+        return ($request == "plugin.php") &&
+        isset($params['p']) && $params['p'] == 'pages'
+        && !(isset($params['act']) && $params['act'] == 'page');
+    }
 
-	public static function newPageActiveCB($request,$params)
-	{
-		return ($request == "plugin.php") &&
-			isset($params['p']) && $params['p'] == 'pages'
-			&& isset($params['act']) && $params['act']=='page';
-	}
+    public static function newPageActiveCB($request, $params)
+    {
+        return ($request == "plugin.php") &&
+        isset($params['p']) && $params['p'] == 'pages'
+        && isset($params['act']) && $params['act'] == 'page';
+    }
 }
-
 
 function pages_users_actions_headers()
 {
-	return dcPage::jsLoad('index.php?pf=pages/_users_actions.js');
+    return dcPage::jsLoad('index.php?pf=pages/js/_users_actions.js');
 }
 
 $_menu['Blog']->addItem(__('Pages'),
-	$core->adminurl->get('admin.plugin.pages'),
-	dcPage::getPF('pages/icon.png'),
-	preg_match('/plugin.php(.*)$/',$_SERVER['REQUEST_URI']) && !empty($_REQUEST['p']) && $_REQUEST['p']=='pages',
-	$core->auth->check('contentadmin,pages',$core->blog->id));
+    $core->adminurl->get('admin.plugin.pages'),
+    dcPage::getPF('pages/icon.png'),
+    preg_match('/plugin.php(.*)$/', $_SERVER['REQUEST_URI']) && !empty($_REQUEST['p']) && $_REQUEST['p'] == 'pages',
+    $core->auth->check('contentadmin,pages', $core->blog->id));
 
-$core->auth->setPermissionType('pages',__('manage pages'));
+$core->auth->setPermissionType('pages', __('manage pages'));
 
-require dirname(__FILE__).'/_widgets.php';
+require dirname(__FILE__) . '/_widgets.php';
Index: plugins/pages/_users_actions.js
===================================================================
--- plugins/pages/_users_actions.js	(revision 2566)
+++ 	(revision )
@@ -1,47 +1,0 @@
-jQuery.fn.updatePagesPermissionsForm = function() {
-	return this.each(function() {
-
-		var perms = {};
-		var re = /^perm\[(.+?)\]\[(.+?)\]$/;
-		var e,prop;
-
-		// Building a nice object of form elements
-		for (var i=0; i<this.elements.length; i++) {
-			e = this.elements[i];
-
-			if (e.name == undefined) {
-				continue;
-			}
-			var prop;
-			prop = e.name.match(re);
-			if (!prop) {
-				continue;
-			}
-			if (perms[prop[1]] == undefined) {
-				perms[prop[1]] = {};
-			}
-			perms[prop[1]][prop[2]] = e;
-
-			// select related permissions for admin
-			if (prop[2] == 'admin') {
-				if (e.checked) {
-					admin(e,perms,re);
-				}
-				$(e).click(function(){
-					admin(this,perms,re);
-				});
-			}
-		}
-
-		function admin(E,perms,re) {
-					P = E.name.match(re);
-
-					perms[P[1]]['pages'].checked = E.checked;
-					perms[P[1]]['pages'].disabled = E.checked;
-		}
-	});
-};
-
-$(function() {
-	$('#permissions-form').updatePagesPermissionsForm();
-});
Index: plugins/pages/js/_users_actions.js
===================================================================
--- plugins/pages/js/_users_actions.js	(revision 3709)
+++ plugins/pages/js/_users_actions.js	(revision 3709)
@@ -0,0 +1,49 @@
+/*global $, jQuery */
+'use strict';
+
+jQuery.fn.updatePagesPermissionsForm = function() {
+  return this.each(function() {
+
+    var perms = {};
+    var re = /^perm\[(.+?)\]\[(.+?)\]$/;
+    var e, prop;
+
+    // Building a nice object of form elements
+    for (var i = 0; i < this.elements.length; i++) {
+      e = this.elements[i];
+
+      if (e.name == undefined) {
+        continue;
+      }
+      prop = e.name.match(re);
+      if (!prop) {
+        continue;
+      }
+      if (perms[prop[1]] == undefined) {
+        perms[prop[1]] = {};
+      }
+      perms[prop[1]][prop[2]] = e;
+
+      // select related permissions for admin
+      if (prop[2] == 'admin') {
+        if (e.checked) {
+          admin(e, perms, re);
+        }
+        $(e).click(function() {
+          admin(this, perms, re);
+        });
+      }
+    }
+
+    function admin(E, perms, re) {
+      var P = E.name.match(re);
+
+      perms[P[1]].pages.checked = E.checked;
+      perms[P[1]].pages.disabled = E.checked;
+    }
+  });
+};
+
+$(function() {
+  $('#permissions-form').updatePagesPermissionsForm();
+});
Index: plugins/pages/js/list.js
===================================================================
--- plugins/pages/js/list.js	(revision 3709)
+++ plugins/pages/js/list.js	(revision 3709)
@@ -0,0 +1,128 @@
+/*global $, dotclear */
+'use strict';
+
+dotclear.viewPostContent = function(line, action) {
+  action = action || 'toggle';
+  if ($(line).attr('id') == undefined) {
+    return;
+  }
+
+  var postId = $(line).attr('id').substr(1);
+  var tr = document.getElementById('pe' + postId);
+
+  if (!tr && (action == 'toggle' || action == 'open')) {
+    tr = document.createElement('tr');
+    tr.id = 'pe' + postId;
+    var td = document.createElement('td');
+    td.colSpan = 8;
+    td.className = 'expand';
+    tr.appendChild(td);
+
+    // Get post content
+    $.get('services.php', {
+      f: 'getPostById',
+      id: postId,
+      post_type: ''
+    }, function(data) {
+      var rsp = $(data).children('rsp')[0];
+
+      if (rsp.attributes[0].value == 'ok') {
+        var post = $(rsp).find('post_display_content').text();
+        var post_excerpt = $(rsp).find('post_display_excerpt').text();
+        var res = '';
+
+        if (post) {
+          if (post_excerpt) {
+            res += post_excerpt + '<hr />';
+          }
+          res += post;
+          $(td).append(res);
+        }
+      } else {
+        window.alert($(rsp).find('message').text());
+      }
+    });
+
+    $(line).addClass('expand');
+    line.parentNode.insertBefore(tr, line.nextSibling);
+  } else if (tr && tr.style.display == 'none' && (action == 'toggle' || action == 'open')) {
+    $(tr).css('display', 'table-row');
+    $(line).addClass('expand');
+  } else if (tr && tr.style.display != 'none' && (action == 'toggle' || action == 'close')) {
+    $(tr).css('display', 'none');
+    $(line).removeClass('expand');
+  }
+};
+
+$(function() {
+  $('#pageslist tr.line').prepend('<td class="expander"></td>');
+  $('#form-entries tr:not(.line) th:first').attr('colspan', 4);
+  $.expandContent({
+    line: $('#form-entries tr:not(.line)'),
+    lines: $('#form-entries tr.line'),
+    callback: dotclear.viewPostContent
+  });
+  $('.checkboxes-helpers').each(function() {
+    var p = $('<p></p>');
+    $(this).prepend(p);
+    dotclear.checkboxesHelpers(p, undefined, '#pageslist td input[type=checkbox]', '#form-entries #do-action');
+  });
+  $('#pageslist td input[type=checkbox]').enableShiftClick();
+  dotclear.condSubmit('#pageslist td input[type=checkbox]', '#form-entries #do-action');
+
+  $('#pageslist tr.line td:not(.expander)').mousedown(function() {
+    $('#pageslist tr.line').each(function() {
+      var td = this.firstChild;
+      dotclear.viewPostContent(td.firstChild, td.firstChild.line, 'close');
+    });
+    $('#pageslist tr:not(.line)').remove();
+  });
+
+  $('#pageslist').sortable({
+    cursor: 'move',
+    stop: function() {
+      $('#pageslist tr td input.position').each(function(i) {
+        $(this).val(i + 1);
+      });
+    }
+  });
+  $('#pageslist tr').hover(function() {
+    $(this).css({
+      'cursor': 'move'
+    });
+  }, function() {
+    $(this).css({
+      'cursor': 'auto'
+    });
+  });
+  $('#pageslist tr td input.position').hide();
+  $('#pageslist tr td.handle').addClass('handler');
+
+  $('form input[type=submit]').click(function() {
+    $('input[type=submit]', $(this).parents('form')).removeAttr('clicked');
+    $(this).attr('clicked', 'true');
+  });
+
+  $('#form-entries').submit(function() {
+    var action = $(this).find('select[name="action"]').val();
+    var checked = false;
+    if ($('input[name="reorder"][clicked=true]').val()) {
+      return true;
+    }
+    $(this).find('input[name="entries[]"]').each(function() {
+      if (this.checked) {
+        checked = true;
+      }
+    });
+
+    if (!checked) {
+      return false;
+    }
+
+    if (action == 'delete') {
+      return window.confirm(dotclear.msg.confirm_delete_posts.replace('%s', $('input[name="entries[]"]:checked').size()));
+    }
+
+    return true;
+  });
+});
Index: plugins/pages/list.js
===================================================================
--- plugins/pages/list.js	(revision 3182)
+++ 	(revision )
@@ -1,117 +1,0 @@
-dotclear.viewPostContent = function(line,action) {
-	var action = action || 'toggle';
-	if ($(line).attr('id') == undefined) { return; }
-
-	var postId = $(line).attr('id').substr(1);
-	var tr = document.getElementById('pe'+postId);
-
-	if ( !tr && ( action == 'toggle' || action == 'open' ) ) {
-		tr = document.createElement('tr');
-		tr.id = 'pe'+postId;
-		var td = document.createElement('td');
-		td.colSpan = 8;
-		td.className = 'expand';
-		tr.appendChild(td);
-
-		// Get post content
-		$.get('services.php',{f:'getPostById', id: postId, post_type: ''},function(data) {
-			var rsp = $(data).children('rsp')[0];
-
-			if (rsp.attributes[0].value == 'ok') {
-				var post = $(rsp).find('post_display_content').text();
-				var post_excerpt = $(rsp).find('post_display_excerpt').text();
-				var res = '';
-
-				if (post) {
-					if (post_excerpt) {
-						res += post_excerpt + '<hr />';
-					}
-					res += post;
-					$(td).append(res);
-				}
-			} else {
-				alert($(rsp).find('message').text());
-			}
-		});
-
-		$(line).addClass('expand');
-		line.parentNode.insertBefore(tr,line.nextSibling);
-	}
-	else if (tr && tr.style.display == 'none' && ( action == 'toggle' || action == 'open' ) )
-	{
-		$(tr).css('display', 'table-row');
-		$(line).addClass('expand');
-	}
-	else if (tr && tr.style.display != 'none' && ( action == 'toggle' || action == 'close' ) )
-	{
-		$(tr).css('display', 'none');
-		$(line).removeClass('expand');
-	}
-};
-
-$(function() {
-	$('#pageslist tr.line').prepend('<td class="expander"></td>');
-	$('#form-entries tr:not(.line) th:first').attr('colspan',4);
-	$.expandContent({
-		line:$('#form-entries tr:not(.line)'),
-		lines:$('#form-entries tr.line'),
-		callback:dotclear.viewPostContent
-	});
-	$('.checkboxes-helpers').each(function() {
-		p = $('<p></p>');
-		$(this).prepend(p);
-		dotclear.checkboxesHelpers(p,undefined,'#pageslist td input[type=checkbox]','#form-entries #do-action');
-	});
-	$('#pageslist td input[type=checkbox]').enableShiftClick();
-	dotclear.condSubmit('#pageslist td input[type=checkbox]','#form-entries #do-action');
-
-	$("#pageslist tr.line td:not(.expander)").mousedown(function(){
-		$('#pageslist tr.line').each(function() {
-			var td = this.firstChild;
-			dotclear.viewPostContent(td.firstChild,td.firstChild.line,'close');
-		});
-		$('#pageslist tr:not(.line)').remove();
-	});
-
-	$("#pageslist").sortable({
-		cursor:'move',
-		stop: function( event, ui ) {
-			$("#pageslist tr td input.position").each(function(i) {
-				$(this).val(i+1);
-			});
-		}
-	});
-	$("#pageslist tr").hover(function () {
-		$(this).css({'cursor':'move'});
-	}, function () {
-		$(this).css({'cursor':'auto'});
-	});
-	$("#pageslist tr td input.position").hide();
-	$("#pageslist tr td.handle").addClass('handler');
-
-	$("form input[type=submit]").click(function() {
-		$("input[type=submit]", $(this).parents("form")).removeAttr("clicked");
-		$(this).attr("clicked", "true");
-	})
-
-	$('#form-entries').submit(function() {
-		var action = $(this).find('select[name="action"]').val();
-		var checked = false;
-		if ($("input[name=reorder][clicked=true]").val()) {
-			return true;
-		}
-		$(this).find('input[name="entries[]"]').each(function() {
-			if (this.checked) {
-				checked = true;
-			}
-		});
-
-		if (!checked) { return false; }
-
-		if (action == 'delete') {
-			return window.confirm(dotclear.msg.confirm_delete_posts.replace('%s',$('input[name="entries[]"]:checked').size()));
-		}
-
-		return true;
-	});
-});
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 3421)
+++ plugins/pages/list.php	(revision 3709)
@@ -10,5 +10,5 @@
 #
 # -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_CONTEXT_ADMIN')) { return; }
+if (!defined('DC_CONTEXT_ADMIN')) {return;}
 dcPage::check('pages,contentadmin');
 
@@ -16,52 +16,51 @@
 -------------------------------------------------------- */
 $params = array(
-	'post_type' => 'page'
+    'post_type' => 'page'
 );
 
-$page = !empty($_GET['page']) ? max(1,(integer) $_GET['page']) : 1;
-$nb_per_page =  30;
+$page        = !empty($_GET['page']) ? max(1, (integer) $_GET['page']) : 1;
+$nb_per_page = 30;
 
 if (!empty($_GET['nb']) && (integer) $_GET['nb'] > 0) {
-	$nb_per_page = (integer) $_GET['nb'];
+    $nb_per_page = (integer) $_GET['nb'];
 }
 
-$params['limit'] = array((($page-1)*$nb_per_page),$nb_per_page);
+$params['limit']      = array((($page - 1) * $nb_per_page), $nb_per_page);
 $params['no_content'] = true;
-$params['order'] = 'post_position ASC, post_title ASC';
+$params['order']      = 'post_position ASC, post_title ASC';
 
 try {
-	$pages = $core->blog->getPosts($params);
-	$counter = $core->blog->getPosts($params,true);
-	$post_list = new adminPagesList($core,$pages,$counter->f(0));
+    $pages     = $core->blog->getPosts($params);
+    $counter   = $core->blog->getPosts($params, true);
+    $post_list = new adminPagesList($core, $pages, $counter->f(0));
 } catch (Exception $e) {
-	$core->error->add($e->getMessage());
+    $core->error->add($e->getMessage());
 }
 
 # Actions combo box
 
-$pages_actions_page = new dcPagesActionsPage($core,'plugin.php',array('p'=>'pages'));
+$pages_actions_page = new dcPagesActionsPage($core, 'plugin.php', array('p' => 'pages'));
 
 if (!$pages_actions_page->process()) {
 
-
 # --BEHAVIOR-- adminPagesActionsCombo
-$core->callBehavior('adminPagesActionsCombo',array(&$combo_action));
+    $core->callBehavior('adminPagesActionsCombo', array(&$combo_action));
 
 /* Display
 -------------------------------------------------------- */
-?>
+    ?>
 <html>
 <head>
   <title><?php echo __('Pages'); ?></title>
   <?php
-  	echo
-  		dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-		dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
-		dcPage::jsLoad(dcPage::getPF('pages/list.js')).
-		'<script type="text/javascript">'."\n".
-		dcPage::jsVar('dotclear.msg.confirm_delete_posts',__("Are you sure you want to delete selected pages?")).
-		'</script>';
+echo
+    dcPage::jsLoad('js/jquery/jquery-ui.custom.js') .
+    dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js') .
+    dcPage::jsLoad(dcPage::getPF('pages/js/list.js')) .
+    '<script type="text/javascript">' . "\n" .
+    dcPage::jsVar('dotclear.msg.confirm_delete_posts', __("Are you sure you want to delete selected pages?")) .
+        '</script>';
 
-  ?>
+    ?>
 </head>
 
@@ -69,47 +68,46 @@
 <?php
 echo dcPage::breadcrumb(
-	array(
-		html::escapeHTML($core->blog->name) => '',
-		__('Pages') => ''
-	)).dcPage::notices();
+        array(
+            html::escapeHTML($core->blog->name) => '',
+            __('Pages')                         => ''
+        )) . dcPage::notices();
 
-if (!empty($_GET['upd'])) {
-	dcPage::success(__('Selected pages have been successfully updated.'));
-} elseif (!empty($_GET['del'])) {
-	dcPage::success(__('Selected pages have been successfully deleted.'));
-} elseif (!empty($_GET['reo'])) {
-	dcPage::success(__('Selected pages have been successfully reordered.'));
-}
-echo
-'<p class="top-add"><a class="button add" href="'.$p_url.'&amp;act=page">'.__('New page').'</a></p>';
+    if (!empty($_GET['upd'])) {
+        dcPage::success(__('Selected pages have been successfully updated.'));
+    } elseif (!empty($_GET['del'])) {
+        dcPage::success(__('Selected pages have been successfully deleted.'));
+    } elseif (!empty($_GET['reo'])) {
+        dcPage::success(__('Selected pages have been successfully reordered.'));
+    }
+    echo
+    '<p class="top-add"><a class="button add" href="' . $p_url . '&amp;act=page">' . __('New page') . '</a></p>';
 
-if (!$core->error->flag())
-{
-	# Show pages
-	$post_list->display($page,$nb_per_page,
-	'<form action="'.$core->adminurl->get('admin.plugin').'" method="post" id="form-entries">'.
+    if (!$core->error->flag()) {
+        # Show pages
+        $post_list->display($page, $nb_per_page,
+            '<form action="' . $core->adminurl->get('admin.plugin') . '" method="post" id="form-entries">' .
 
-	'%s'.
+            '%s' .
 
-	'<div class="two-cols">'.
-	'<p class="col checkboxes-helpers"></p>'.
+            '<div class="two-cols">' .
+            '<p class="col checkboxes-helpers"></p>' .
 
-	'<p class="col right"><label for="action" class="classic">'.__('Selected pages action:').'</label> '.
-	form::combo('action',$pages_actions_page->getCombo()).
-	'<input id="do-action" type="submit" value="'.__('ok').'" />'.
-	form::hidden(array('post_type'),'page').
-	form::hidden(array('p'),'pages').
-	form::hidden(array('act'),'list').
-	$core->formNonce().
-	'</p></div>'.
-	'<p class="clear form-note hidden-if-js">'.
-	__('To rearrange pages order, change number at the begining of the line, then click on “Save pages order” button.').'</p>'.
-	'<p class="clear form-note hidden-if-no-js">'.
-	__('To rearrange pages order, move items by drag and drop, then click on “Save pages order” button.').'</p>'.
-	'<p><input type="submit" value="'.__('Save pages order').'" name="reorder" class="clear" /></p>'.
-	'</form>');
-}
-dcPage::helpBlock('pages');
-?>
+            '<p class="col right"><label for="action" class="classic">' . __('Selected pages action:') . '</label> ' .
+            form::combo('action', $pages_actions_page->getCombo()) .
+            '<input id="do-action" type="submit" value="' . __('ok') . '" />' .
+            form::hidden(array('post_type'), 'page') .
+            form::hidden(array('p'), 'pages') .
+            form::hidden(array('act'), 'list') .
+            $core->formNonce() .
+            '</p></div>' .
+            '<p class="clear form-note hidden-if-js">' .
+            __('To rearrange pages order, change number at the begining of the line, then click on “Save pages order” button.') . '</p>' .
+            '<p class="clear form-note hidden-if-no-js">' .
+            __('To rearrange pages order, move items by drag and drop, then click on “Save pages order” button.') . '</p>' .
+            '<p><input type="submit" value="' . __('Save pages order') . '" name="reorder" class="clear" /></p>' .
+            '</form>');
+    }
+    dcPage::helpBlock('pages');
+    ?>
 </body>
 </html>
